:root {
  -webkit-text-size-adjust: 100%;
  --sans-serif: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  --border-color: hsl(0, 0%, 87%);
}

body {
  font-family: Georgia, "Times New Roman", Times, serif;
  color: hsl(0, 0%, 0%);
  font-size: 1.15rem;
  line-height: 1.55;
  margin: 0;
}

h2,
h3,
h4,
h5 {
  font-family: sans-serif;
  font-family: var(--sans-serif);
  margin: 0;
}

h3 {
  text-transform: uppercase;
}

img {
  max-width: 100%;
}

a:hover {
  background-color: transparent;
  text-decoration: none;
}

.sr-only {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  -webkit-clip-path: inset(50%);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  white-space: nowrap;
}

.title-block {
  margin: 0.625rem;
  text-align: center;
}

.title-image {
  max-width: 20rem;
  margin: 0 auto;
}

.byline {
  font-family: sans-serif;
  font-family: var(--sans-serif);
  font-size: 80%;
  max-width: 32rem;
  margin: 0 auto;
}

.byline:not(:first-child) {
  margin-top: 1rem;
}

.intro,
.outro {
  max-width: 47rem;
  padding: 0 1rem;
}

.intro {
  margin: 0 auto 2rem auto;
}

.outro {
  margin: 1.4rem auto 3rem auto;
}

.maincontent {
  border-top: 1px solid var(--border-color);
  border-bottom: 1px solid var(--border-color);
}

.content {
  max-width: 43rem;
  margin: 1.65rem auto;
  padding: 0 1.25rem;
}

.content p {
  margin-top: 0;
}

.content h3,
.content h4 {
  font-family: sans-serif;
  font-family: var(--sans-serif);
  margin: 0 0 1.25rem 0;
}

.content ul,
.content ol {
  margin: 0;
  padding-inline-start: 1rem;
}

mark {
  background-color: hsla(55, 100%, 77%, 0.5);
}

mark:hover {
  cursor: pointer;
  background-color: hsla(55, 100%, 77%, 1);
}

mark.selected {
  background-color: hsla(55, 100%, 77%, 1);
}

mark[data-annotation-id]::after {
  content: attr(data-annotation-id);
  content: attr(data-annotation-id) / "";
  display: inline-block;
  position: relative;
  border-radius: 50%;
  border: 1px solid hsl(0, 0%, 0%);
  width: 0.625rem;
  height: 0.625rem;
  font-size: 0.625rem;
  line-height: 0.625rem;
  padding: 1px;
  text-align: center;
  margin-left: 3px;
  margin-right: 2px;
  bottom: 2px;
}

.note {
  padding: 1.25rem 1.25rem;
  max-width: 50rem;
  font-family: sans-serif;
  font-family: var(--sans-serif);
  font-size: 90%;
  background-color: hsl(0, 0%, 94%);
}

.content > .annotation:not(:first-child),
.content .content:not(:first-child),
.content .annotation-group:not(:first-child) {
  margin-top: 0.625rem;
}

.annotation {
  background-color: hsl(0, 0%, 100%);
  padding: 0.625rem;
  border: 1px solid var(--border-color);
}

.annotation:hover {
  cursor: pointer;
}

.annotation[role="comment"][data-annotation-id]::after,
.annotation-group[role="comment"][data-annotation-id]::after {
  content: attr(data-annotation-id);
  content: attr(data-annotation-id) / "";
  font-family: Georgia, "Times New Roman", Times, serif;
  background-color: hsl(0, 0%, 100%);
  display: inline-block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid var(--border-color);
  width: 0.875rem;
  height: 0.875rem;
  font-size: 0.875rem;
  line-height: 1;
  padding: 3px;
  text-align: center;
  left: -8px;
  top: -8px;
}

.annotation[role="comment"],
.annotation-group[role="comment"] {
  position: relative;
}

.annotation-group .annotation:not(:first-child) {
  border-top-width: 0;
}

.annotation.selected,
.annotation-group.selected .annotation {
  border-color: hsl(0, 0%, 60%);
  background-color: hsl(56, 100%, 97%);
}

.commenter {
  font-family: sans-serif;
  font-family: var(--sans-serif);
  font-size: 80%;
  color: hsl(0, 0%, 60%);
}

.no-margin {
  margin: 0;
}

.small {
  font-size: 80%;
}

.fine-print {
  font-size: 70%;
}

.annotation-group .annotation.thread {
  margin-left: 0.625rem;
}

.annotation-group .annotation.thread-2 {
  margin-left: 1.25rem;
}

.annotation-group .annotation.thread-3 {
  margin-left: 1.5rem;
}

.annotation-group .annotation.thread-4 {
  margin-left: 1.75rem;
}

.annotation-group .annotation.thread-5 {
  margin-left: 2rem;
}

.annotation-group .annotation.thread-6 {
  margin-left: 2.25rem;
}

.annotation-group .annotation.thread-7 {
  margin-left: 2.5rem;
}

.annotation-group .annotation.thread-8 {
  margin-left: 2.75rem;
}

.annotation-group .annotation.thread-9 {
  margin-left: 3rem;
}

.annotation-group .annotation.thread-10 {
  margin-left: 3.25rem;
}

/* Bigger displays */

@media screen and (min-width: 31.25rem) {
  .content,
  .note {
    padding-right: 2.5rem;
    padding-left: 2.5rem;
  }
}

@media screen and (min-width: 46rem) {
  .maincontent {
    display: grid;
    grid-template-columns: 3fr 2fr;
  }

  /* Trickery to create the white/grey background */

  .maincontent::before {
    content: "";
    grid-row: 1;
    grid-column: 1;
  }

  .maincontent::after {
    content: "";
    grid-row: 1;
    grid-column: 2;
    background-color: hsl(0, 0%, 94%);
  }

  /* END trickery */

  .article {
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    grid-row: 1;
    grid-column: 1/3;
    display: grid;
    grid-template-columns: inherit;
  }

  .group {
    grid-column: 1/3;
    display: grid;
    grid-template-columns: inherit;
  }

  .content {
    margin: 0;
    padding: 0 1.2rem;
  }

  .quote {
    justify-self: flex-end;
  }
}

@media screen and (min-width: 62.5rem) {
  .content,
  .note {
    padding-right: 2.5rem;
    padding-left: 2.5rem;
  }
}

/* No-JS tweaks */
.no-jsmark:hover {
  cursor: auto;
  background-color: hsla(55, 100%, 77%, 0.5);
}

.no-js.annotation:hover {
  cursor: auto;
}
